#ifndef LEVEL_H
#define LEVEL_H

#include <SFML/Graphics.hpp>
#include <SFML/Window.hpp>
#include <SFML/System.hpp>

#include "Case.h"

#include <string>
#include <vector>

class Level
{
    public:
        Level(Case* aCase, int width=20, int height=20);
        virtual ~Level();

        Case* Getcase() { return m_case; }
  
        /// /// /// /// /// /// /// /// /// /// /// /// ///
        void setCoordCase(int x, int y, char val) {m_tab[x][y]=val;}
        char getCoord(int x, int y){ return m_tab[x][y];}

        std::pair<int,int> findAnother2(char val);
        void create();
        const void draw();

    protected:

        int m_width;
        int m_height;
        std::vector<std::string> m_tab;
        Case* m_case;
};

#endif // LEVEL_H
